Results 1 to 4 of 4

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Question about Bootloaders & 4.0

  1. #1
    Default Question about Bootloaders & 4.0
    Hi there.

    I have an iPhone 3GS running on 3.0 software. I have never upgraded it since I got it in September cuz there were 3GS issues but it is Jailbroken, not unlocked.

    When reading about upgrading to iOS 4.0, I'm becoming confused about all this talk on threads about upgrading bootloaders and some will work and some won't work and warnings that if you don't do this you'll never unlock your phone again etc.

    I have never upgraded the bootloaders (to the best of my knowledge) so will I be able to jailbreak my iphone 3GS with 4.0?? Do i say upgrade or restore to 4.0 in iTunes? Do I upgrade the bootloaders??? Thanks everyone!!

  2. #2
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    When pwnagetool 4.0 is released you will be able to create a custom ipsw that you can use to restore to 4.0 and keep your current baseband, but the dev team just released ultasn0w that will unlock all basebands from firmware 3.0 to iOS 4

  3. The Following User Says Thank You to j3st3r For This Useful Post:

    donnak (2010-06-26)

  4. #3
    Thanks so much for the reply. So I can go straight from 3.0 to 4.0 or do I have to go to 3.1.2 first then go to 4.0 like it says in the guide?

  5. #4
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    find and download a custom 4.0 created with pnwagetool and shift+restore to that, i wouldn't think you would think there is a need to go to 3.1.2 first

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •